function jFrame = main()
    % Description: http://undocumentedmatlab.com/blog/using-pure-java-gui-in-deployed-matlab-apps

    % Add Java library if it is not already on the dynamic Java classpath
    if isempty(which('examplewindow.JavaWindow'))
        folder = fileparts(mfilename('fullpath'));
        javaaddpath([folder '\ExampleWindow.jar']);
    end

    % Get example Java window from the library
    jFrame = examplewindow.JavaWindow();

    % Get Java buttons
    % Note: see http://undocumentedmatlab.com/blog/matlab-callbacks-for-java-events-in-r2014a
    plotMeshButton = handle(jFrame.getPlotMeshButton(),    'CallbackProperties');
    showWarnButton = handle(jFrame.getShowWarnDlgButton(), 'CallbackProperties');

    % Set Java button callbacks
    set(plotMeshButton, 'ActionPerformedCallback', @myPlotMeshCallback);
    set(showWarnButton, 'ActionPerformedCallback', @myShowWarnCallback);

    % Display the Java window
    jFrame.setVisible(true);
    if isdeployed
        waitfor(jFrame);
    end

    % Note: use jFrame.dispose() to close jFrame, otherwise Matlab will exit!
end

% Matlab callback function
function myPlotMeshCallback(hObject, hEventData)
    figure;
    z=peaks(25);
    mesh(z);
end

function myShowWarnCallback(hObject, hEventData)
    uiwait(warndlg('Warning dialog from Matlab'));
end
